Package org.silverpeas.mobile.server.services.helpers

## Class FavoritesHelper

- java.lang.Object
- - org.silverpeas.mobile.server.services.helpers.FavoritesHelper

-     public class FavoritesHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FavoritesHelper()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToFavorite​(String instanceId, String objectId, String objectType, String description, String userId)` |
    `List<org.silverpeas.core.mylinks.model.LinkDetail>` | `getBookmarkPerso​(String userId)` |
    `List<org.silverpeas.core.mylinks.model.LinkDetail>` | `getBookmarkPersoVisible​(String userId)` |
    `static FavoritesHelper` | `getInstance()` |
    `List<MyLinkDTO>` | `populate​(List<org.silverpeas.core.mylinks.model.LinkDetail> links)` |
    `MyLinkDTO` | `populate​(org.silverpeas.core.mylinks.model.LinkDetail link)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FavoritesHelper

          public FavoritesHelper()

  - ### Method Detail

    - #### getInstance

          public static FavoritesHelper getInstance()

    - #### getBookmarkPerso

          public List<org.silverpeas.core.mylinks.model.LinkDetail> getBookmarkPerso​(String userId)

    - #### getBookmarkPersoVisible

          public List<org.silverpeas.core.mylinks.model.LinkDetail> getBookmarkPersoVisible​(String userId)

    - #### addToFavorite

          public void addToFavorite​(String instanceId,
                                    String objectId,
                                    String objectType,
                                    String description,
                                    String userId)

    - #### populate

          public MyLinkDTO populate​(org.silverpeas.core.mylinks.model.LinkDetail link)

    - #### populate

          public List<MyLinkDTO> populate​(List<org.silverpeas.core.mylinks.model.LinkDetail> links)